/**************************************************
* Zeus CMD - C++ Tutorial 38 : Reading Text Files *
* By Grant James (ZEUS)                           *
* http://www.zeuscmd.com                          *
**************************************************/
#include <iostream>
#include <stdlib.h>
#include <string>
#include <fstream>
#include <stdio.h>

using namespace std;

int main()
{
	// C File Input
	//--------------
	FILE *inFile = fopen("in.txt", "r");

	if (!inFile)
	{
		printf("Cannot find in.txt\n");
		return 1;
	}

	char ch;
	while ((ch = fgetc(inFile)) != '\n')
		cout << ch;

	cout << endl;

	char line[100];
	fgets(line, 100, inFile);
	cout << line;
	
	int a, b, c;
	fscanf(inFile, "%d %d %d", &a, &b, &c);

	cout << a << " " << b << " " << c << endl;

	fclose(inFile);

	cout << endl;

	// C++ File Input
	//----------------
	ifstream fin("in.txt");

	if (!fin.good())
	{
		cout << "Cannot find in.txt" << endl;
		return 1;
	}

	while ((ch = fin.get()) != '\n')
		cout << ch;

	cout << endl;

	fin.getline(line, 100);
	cout << line << endl;

	a = b = c = 0;
	fin >> a >> b >> c >> ws;
	cout << a << " " << b << " " << c << endl;

	string str;
	getline(fin, str);
	cout << str << endl;

	fin.close();

	system("pause");

	return 0;
}